炫意html5
最早CSS3和HTML5移动技术网站之一

解决pytorch-gpu 安装失败方案

ubuntu18 系统上已经配置好gpu加速环境

安装pytorch-gpu 后出现以下问题:
import torch
x = torch.Tensor(2,3)
x_cuda = x.cuda()

x可以正常,当定义x_cuda 后,命令行卡住,不再继续输出

几周后终于找到了原因:

当初pytorch-gpu为1.0版本,然而配置的cuda和cudnn版本较低,不支持高版本的pytorch,后来选择安装 0.4.1版本的pytorch,解决此问题。

当前环境是 torch-0.4.1-cp36 +384显卡驱动+cuda8.0+cudnn6.0。

几多艰辛,得以开颜。

补充:conda安装pytorch-gpu版本下载出错的问题解决

换了清华的源之后,官网的命令是下面的:

conda install pytorch=1.1.0 torchvision=0.3.0 cudatoolkit=9.0 -c pytorch

但是经常会报HTTP error的错误,将-c pytorch删除即可

conda install pytorch=1.1.0 torchvision=0.3.0 cudatoolkit=9.0

炫意HTML5 » 解决pytorch-gpu 安装失败方案

Java基础教程Android基础教程